
Name:	 kdocker
Summary: Dock any application in the system tray
Version: 4.3 
Release: 2%{?dist}

Group:   User Interface/Desktops
License: GPLv2+
URL:	 https://launchpad.net/kdocker 
Source0: http://launchpad.net/kdocker/trunk/%{version}/+download/kdocker-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstreamable patches
# use an adjustable install prefix, default to /usr (vs /usr/local)
Patch50: kdocker-4.3-qmake_saner_defaults.patch

BuildRequires: qt4-devel, libXpm-devel, libXmu-devel, desktop-file-utils

%description
KDocker will help you dock any application in the system tray. This means you
can dock openoffice, xmms, firefox, thunderbolt, eclipse, anything! Just point
and click. Works for both KDE and GNOME (In fact it should work for most modern
window managers that support NET WM Specification for instance)

All you need to do is start KDocker and select an application using the mouse
and lo! the application gets docked into the system tray. The application can
also be made to dissappear from the task bar.


%prep
%setup -q 

%patch50 -p1 -b .qmake_saner_defaults


%build
%{_qt4_qmake}

make  %{?_smp_mflags}


%install
rm -rf %{buildroot} 

make install INSTALL_ROOT=%{buildroot}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  --vendor="" \
  --add-category="Qt" \
  helpers/kdocker.desktop 


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING CREDITS ChangeLog README TODO VERSION
%{_bindir}/kdocker
%{_datadir}/kdocker/
%{_datadir}/applications/kdocker.desktop
# wary of owning this dir, but seems like what most other packages do
%{_sysconfdir}/bash_completion.d/


%changelog
* Mon Jan 25 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.3-2
- added BRs

* Wed Jan 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3-1
- kdocker-4.3

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> 1.3-11
- BR: qt3-devel

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3-10
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.3-9
- License: GPLv2+
- respin (BuildID)

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-8
- fc6 respin

* Wed May 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-7
- rework -paths patch

* Fri Apr 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-6
- --vendor=""

* Fri Mar 10 2006 Rex Dieter <rexdieer[AT]users.sf.net> 1.3-5
- build failure, useless -debuginfo (#180103)

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 
- fc5: gcc/glibc respin

* Sat Jan 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-4
- .desktop: fix path to app-icon (#178531)

* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-3
- remove dup'd docs
- %%lang'ify i18n bits

* Mon Oct 31 2005 Rex Dieter 1.3-2
- use desktop-file-install 

* Mon Oct 31 2005 Rex Dieter 1.3-1
- cleanup for Extras

* Tue Feb 15 2005 Rex Dieter 1.3-0.1
- 1.3 (first try)
